import * as moment from 'moment';
import { BaseEntity, Column, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @Column({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).toDate(),
  })
  timestamp: Date;

  @CreateDateColumn({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).toDate(),
  })
  created_at: Date;

  @UpdateDateColumn({
    type: 'char',
    length: 50,
    default: moment().utcOffset(0).toDate(),
  })
  updated_at: Date;
}
